We are using the new possibility of Sencha CMD 6.2(?) to have multiple ExtJS versions in one workspace. First we have ExtJS 5.1.3 (ext) and second ExtJS 6.2.1 (ext62).

We have a package which requires Ext.ux package. This was called "ext-ux" in ExtJS 5.1.3 and is now called "ux". "ext-ux" is still defined as alternateName in package.json of Ext.ux package in ExtJS 6.2.1, but Sencha CMD 6.2.1.29 doesn't seem to recognize this alternateName. I just wanted to mention this, because maybe it was just forgotten to implement the recognition of the alternateName.

As a workaround we changed the name of the Ext.ux package in ExtJS 5.1.3 to "ux" (in package.json) and required "ux" only in our packages/apps. Now we can build Ext.ux requiring packages/app with Sencha CMD 6.2.1 and ExtJS 5.1.2 or ExtJS 6.2.1.